Skip to main content

Save Drop Ep

POST 

/v1/order/save_drop

Save Drop Endpoint

Saves the details of a drop for an order. A drop is considered a stop at a single site. Each drop can have multiple details, each representing a drop into a single tank.

The drops can be added as the order is progressing by using the append mode or all at once after the order is complete by using the replace mode.

Required Scopes (io.w)

Request​

order_id: str | None = None
Unique identifier for the order.


order_number: int | None = None
Order number for the order.


location_id: str | None = None
Unique identifier for the location. Either location_id or store_number is required.


store_number: str | None = None
Number of the site the drop was made at. Use in place of location_id to identify the site by its store number. Sending neither returns a 422.


mode: SaveDropMode
Mode for saving the drop details.

Show Modes

replace
Replaces the existing drop details with the new details.

append
Appends the new drop details to the existing details.


details: list[DropDetail]
List of drop details. Each detail represents a drop into a single tank.

Show Child Attributes

product_id: str
Unique identifier for the product.


quantity: float
Volume of the product dropped.


tank_id: int | None = None
Unique identifier for the tank.


pre_drop_volume: float | None = None
Volume measurement before the drop.


pre_drop_inches: float | None = None
Inches measurement before the drop.


pre_drop_time: datetime | None = None
Timestamp of the measurement before the drop.


post_drop_volume: float | None = None
Volume measurement after the drop.


post_drop_inches: float | None = None
Inches measurement after the drop.


post_drop_time: datetime | None = None
Timestamp of the measurement after the drop.

Responses​

Successful Response

Loading...